﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace QuickTime_Install
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnInstallQuickTime_Click(object sender, EventArgs e)
        {
            string QuickTimeMSILocation = "C:\\QuickTime";
            string QuickTimeMSIFullPath = Path.Combine(QuickTimeMSILocation, "QuickTime.msi");

            if (File.Exists(QuickTimeMSIFullPath))
            {
                System.Diagnostics.Process p = new System.Diagnostics.Process();
                ProcessStartInfo psi = new ProcessStartInfo();
                psi.FileName = "msiexec.exe";
                psi.WorkingDirectory = "C:\\QuickTime";
                psi.Arguments = "/i Quicktime.msi /passive DESKTOP_SHORTCUTS=NO";
                p.StartInfo = psi;

                p.Start();
            }
            else
            {
                MessageBox.Show(string.Format("QuickTime.msi was not found in {0}. Please place the file in this directory and try again", QuickTimeMSIFullPath));
            }
        }
    }
}
